Subject: Re: [PATCH net-next 2/3] nfp: add support for link auto negotiation

From: Jakub Kicinski <[email-masked]>
Date: Mon, 26 Sep 2022 18:38:40 -0700

On Tue, 27 Sep 2022 09:13:53 +0800 Yinjun Zhang wrote:
> On Mon, Sep 26, 2022 at 09:25:47AM -0700, Jakub Kicinski wrote:
> > On Sat, 24 Sep 2022 10:45:30 +0800 Yinjun Zhang wrote:  
> > > Not only check if it's flower, but also check if it's sp_indiff when
> > > it's not flower by parsing the tlv caps.  
> > 
> > Seems bogus. The speed independence is a property of the whole FW image,
> > you record it in the pf structure.  
> 
> It's indeed a per-fw property, but we don't have existing way to expose
> per-fw capabilities to driver currently, so use per-vnic tlv caps here.
> Maybe define a new fw symbol is a choice, but my concern is it's not
> visible to netvf driver.
> Any suggestion is welcomed.

Why not put an rtsym with the value in the FW? That'd be my first
go-to way of communicating information about the FW as a whole.